Bug 789824 - [abrt] dconf-0.10.0-1.fc16: gvs_tuple_is_normal: Process /usr/libexec/dconf-service was killed by signal 11 (SIGSEGV)
Summary: [abrt] dconf-0.10.0-1.fc16: gvs_tuple_is_normal: Process /usr/libexec/dconf-s...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dconf
Version: 18
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1fff558aaf3940455337bfe4910...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-13 04:37 UTC by ghsweepe
Modified: 2013-01-30 00:40 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-30 00:40:25 UTC
Type: ---


Attachments (Terms of Use)
File: smolt_data (2.30 KB, text/plain)
2012-02-13 04:37 UTC, ghsweepe
no flags Details
File: backtrace (38.49 KB, text/plain)
2012-02-13 04:37 UTC, ghsweepe
no flags Details
File: maps (4.28 KB, text/plain)
2012-02-13 04:37 UTC, ghsweepe
no flags Details
File: event_log (5.23 KB, text/plain)
2012-02-13 04:37 UTC, ghsweepe
no flags Details

Description ghsweepe 2012-02-13 04:37:28 UTC
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/libexec/dconf-service
crash_function: gvs_tuple_is_normal
executable:     /usr/libexec/dconf-service
kernel:         3.2.5-3.fc16.i686.PAE
pid:            1762
pwd:            /
reason:         Process /usr/libexec/dconf-service was killed by signal 11 (SIGSEGV)
time:           2012年02月13日 11時05分15秒
uid:            1000
username:       normqwg

backtrace:      Text file, 39411 bytes
event_log:      Text file, 5360 bytes
maps:           Text file, 4386 bytes
smolt_data:     Binary file, 2352 bytes

build_ids:
:bdbcb7ad0ae16806e9002af3c6d1ec65353108a0
:eddfb4be667909c941182407b8b87c0d98860b06
:b39e0666f0abb548f3f66da0b20050b99e946254
:82348106e4283b6a42803315774717d3acfc11b4
:3aed71a6e79a28101ca36e6e9b3e8e053b73421a
:11154ce3289d599ddf0cb7aec347964357ecde6f
:82674b49345364df4c158e8258b93fd4d8fdbae0
:d7cd016536dcce05ea28a1219c92eb9507121fa3
:d1bd2374eb12ee6116690a80ce23d695b3d585e8
:4a19f266c74dade2555f5e1aefa43d509ccff81e
:eb703ad658873568367d1ac793f0f45c0a34b82c
:a96b0d7bb580197b7e7f186f831df6cdc2d6a9e2
:af5eca4c988424912f1cbe04629f5c8a11109184
:879571cf1e8dd31736d0f24b55e0daffc1591278
:36cc7c0490b1d29bbe496654fe01dea01f6c8615
:10cec21724c13b95ec03f00985b0405412817a49
:f8e2e3adf420486889169759ccf806dc393ca12f

dso_list:
:/lib/libdl-2.14.90.so glibc-2.14.90-24.fc16.4.i686 (Fedora Project) 1328755412
:/lib/libgthread-2.0.so.0.3000.2 glib2-2.30.2-1.fc16.i686 (Fedora Project) 1328755548
:/lib/libgmodule-2.0.so.0.3000.2 glib2-2.30.2-1.fc16.i686 (Fedora Project) 1328755548
:/lib/libresolv-2.14.90.so glibc-2.14.90-24.fc16.4.i686 (Fedora Project) 1328755412
:/usr/libexec/dconf-service dconf-0.10.0-1.fc16.i686 (Fedora Project) 1328757017
:/lib/librt-2.14.90.so glibc-2.14.90-24.fc16.4.i686 (Fedora Project) 1328755412
:/lib/libpthread-2.14.90.so glibc-2.14.90-24.fc16.4.i686 (Fedora Project) 1328755412
:/lib/ld-2.14.90.so glibc-2.14.90-24.fc16.4.i686 (Fedora Project) 1328755412
:/lib/libselinux.so.1 libselinux-2.1.6-5.fc16.i686 (Fedora Project) 1328755435
:/lib/libgio-2.0.so.0.3000.2 glib2-2.30.2-1.fc16.i686 (Fedora Project) 1328755548
:/usr/lib/libffi.so.5.0.10 libffi-3.0.10-1.fc16.i686 (Fedora Project) 1328755544
:/lib/libz.so.1.2.5 zlib-1.2.5-6.fc16.i686 (Fedora Project) 1328755530
:/lib/libnss_files-2.14.90.so glibc-2.14.90-24.fc16.4.i686 (Fedora Project) 1328755412
:/lib/libglib-2.0.so.0.3000.2 glib2-2.30.2-1.fc16.i686 (Fedora Project) 1328755548
:/lib/libgobject-2.0.so.0.3000.2 glib2-2.30.2-1.fc16.i686 (Fedora Project) 1328755548
:/lib/libc-2.14.90.so glibc-2.14.90-24.fc16.4.i686 (Fedora Project) 1328755412

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-vHqrODe0WE,guid=b643c064a5d79f543c9b8c0600000042
:XDG_SESSION_COOKIE=f4cfe4d657c1eebafed4f69400000015-1329098456.40860-1217565415
:XDG_RUNTIME_DIR=/run/user/*
:DISPLAY=:0
:DESKTOP_SESSION=xfce
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:GDMSESSION=xfce
:XDG_VTNR=1
:USERNAME=*
:XDG_SESSION_ID=2
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-vHqrODe0WE,guid=b643c064a5d79f543c9b8c0600000042
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-*-pEsdgJ/database
:USER=*
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=1147
:SHLVL=1
:PWD=/home/*
:GNOME_KEYRING_CONTROL=/tmp/keyring-
:LANG=ja_JP.UTF-8
:_=/usr/bin/dbus-launch
:LOGNAME=*
:HOME=/home/*

var_log_messages:
:Feb 13 11:05:15 DATAARCHIVES2 kernel: [  326.586120] dconf-service[1762]: segfault at 0 ip 48829318 sp bf9b6950 error 4 in libglib-2.0.so.0.3000.2[487a2000+120000]
:Feb 13 11:05:16 DATAARCHIVES2 abrt[4087]: Saved core dump of pid 1762 (/usr/libexec/dconf-service) to /var/spool/abrt/ccpp-2012-02-13-11:05:15-1762 (25980928 bytes)
:Feb 13 11:05:16 DATAARCHIVES2 kernel: [  327.634882] dconf-service[4095]: segfault at 0 ip 48829318 sp bf81a5f0 error 4 in libglib-2.0.so.0.3000.2[487a2000+120000]
:Feb 13 11:05:16 DATAARCHIVES2 abrt[4103]: Not dumping repeating crash in '/usr/libexec/dconf-service'
:Feb 13 11:05:16 DATAARCHIVES2 kernel: [  327.734610] dconf-service[4108]: segfault at 0 ip 48829318 sp bfa115b0 error 4 in libglib-2.0.so.0.3000.2[487a2000+120000]
:Feb 13 11:05:16 DATAARCHIVES2 abrt[4112]: Not dumping repeating crash in '/usr/libexec/dconf-service'

Comment 1 ghsweepe 2012-02-13 04:37:32 UTC
Created attachment 561353 [details]
File: smolt_data

Comment 2 ghsweepe 2012-02-13 04:37:35 UTC
Created attachment 561354 [details]
File: backtrace

Comment 3 ghsweepe 2012-02-13 04:37:36 UTC
Created attachment 561355 [details]
File: maps

Comment 4 ghsweepe 2012-02-13 04:37:38 UTC
Created attachment 561356 [details]
File: event_log

Comment 5 Adam Williamson 2012-02-28 06:23:05 UTC
Can you explain why this was nominated for common bugs inclusion, and provide more detail about the bug and how to trigger it? I don't recall seeing this one.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 Adam Williamson 2012-04-19 01:01:53 UTC
No response to query, so dropping nomination.

Comment 7 Fedora End Of Life 2013-01-16 15:29:45 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 campbell.bain 2013-01-17 04:44:10 UTC
upgraded from fedora 17
while watching a movie recvd a lot of notifications of crashes involving dconf
dconf-daemon does not appear to be running
I do have an applet that changes the background, may have something to do with it


backtrace_rating: 4
Package: dconf-0.14.1-3.fc18
Architecture: x86_64
OS Release: Fedora release 18 (Spherical Cow)

Comment 9 Jaroslav Reznik 2013-01-18 14:45:24 UTC
So you still hit this one? Have you cloned this bug? If not, just setting version to Fedora 18 would be enough. Thanks.

Comment 10 Allison Karlitskaya 2013-01-18 21:43:27 UTC
Fixed upstream: http://git.gnome.org/browse/glib/commit/?id=998c6e65cf18aee626b9982347c29b4b09f2c097

Comment 11 Ray Strode [halfline] 2013-01-18 22:15:48 UTC
could anyone experiencing this bug attach the core file from /var/spool/abrt/ mentioned in the abrt message?

Comment 12 Fedora Update System 2013-01-18 22:19:44 UTC
glib2-2.34.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/glib2-2.34.2-2.fc18

Comment 13 Fedora Update System 2013-01-20 03:19:06 UTC
Package glib2-2.34.2-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glib2-2.34.2-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1104/glib2-2.34.2-2.fc18
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2013-01-30 00:40:27 UTC
glib2-2.34.2-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.